
Redmine - Defect #2038

Italics in wiki headers show-up wrong in the toc

2008-10-16 14:08 - David Holm

Status: Closed Start date: 2008-10-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

When using italics in a wiki header they will show up with the underscore characters printed in the toc.

Steps to reproduce:

Produce a new wiki page as such:

h1. My New Page

{{toc}}

h2. _Subheader_

 

Expected result:

Subheader should be shown as "Subheader" in the toc.

Actual result:

The underscores are printed in the toc and Subheader is shown as "_Subheader_"

Associated revisions

Revision 4376 - 2010-11-06 18:47 - Jean-Philippe Lang

Extract headings and TOC parsing from the textile formatter.

Fixes #2038 and #3707 and will allow to support TOC with other text formatters.

History

#1 - 2008-10-16 14:09 - David Holm

Oops, "who" in the defect subject should be "show"! ;)

#2 - 2008-12-08 14:47 - Mischa The Evil

- Subject changed from Italics in wiki headers who up wrong in the toc to Italics in wiki headers show-up wrong in the toc

Corrected subject, wrapped wiki-source in pre-tags and added headings to make the issue more readable...

#3 - 2010-06-20 19:40 - Jean-Baptiste Barth

- Affected version (unused) changed from 0.7.3 to devel

- Affected version deleted (0.7.3)

Reproduced on devel branch. Seems similar to #5445 resolved yesterday, I think this is a larger issue, all inline styles are not displayed correctly in

TOC...

#4 - 2010-06-20 20:14 - Muntek Singh

- Status changed from New to Closed
- Resolution set to Fixed

Testing this shows fixed by #5445. Marking as closed.

#5 - 2010-06-20 20:15 - Muntek Singh

- Status changed from Closed to Reopened

- Resolution deleted (Fixed)

Scratch that, I'm stupid

#6 - 2010-06-20 21:03 - Jean-Baptiste Barth

- File 2038_git.diff added

Attached a temporary patch to fix it, but I don't think it should be committed for the moment.

As discussed on the IRC channel, maybe {{toc}} should be completely rewritten since it's similar to a macro in some way, and in some way not

(especially for #3707). Plus, this patch does not handle the case of "redmine links" in titles (fixing it the same way would provoke "stack level too

deep" errors..).

#7 - 2010-11-06 18:41 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Fixed in r4376.

Files

2038_git.diff 2.04 KB 2010-06-20 Jean-Baptiste Barth
